Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

keep getting requests to down load security updates fo mac 10.4 or higher i have all the right requirements but when i down-load i'm told the version doesn't work on my system and i have to reload the older version?????)

  • Nema odgovora
  • 2 ima ovaj problem
  • 11 views
more options

I keep getting requests to download security updates for mac 10.4 or higher i have all the right system requirements but when i download i'm told 'this version of firefox' doesn't work on my system and i have to reload the older version which, fortunately, have saved on an external drive. This is all time consuming and annoying. I suggest you alter your 'firefox update requirements' to mac osx 10.5 or higher then i won't need to waste any more of my time?????)

I keep getting requests to download security updates for mac 10.4 or higher i have all the right system requirements but when i download i'm told 'this version of firefox' doesn't work on my system and i have to reload the older version which, fortunately, have saved on an external drive. This is all time consuming and annoying. I suggest you alter your 'firefox update requirements' to mac osx 10.5 or higher then i won't need to waste any more of my time?????)